#include "chdecl.h"
void CH_chcode_chprogram(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c12;
    case 4: goto c29;
    case 5: goto c31;
    case 6: goto c36;
    case 7: goto cb38;
    case 8: goto c39;
    case 9: goto c45;
    case 10: goto cb59;
    case 11: goto c60;
    case 12: goto cb64;
    case 13: goto c65;
    case 14: goto c67;
    case 15: goto cb71;
    case 16: goto c72;
    case 17: goto cb84;
    case 18: goto c85;
    case 19: goto c88;
    case 20: goto cb91;
    case 21: goto c92;
    case 22: goto c93;
    case 23: goto c94;
    case 24: goto c95;
    case 25: goto cb108;
    case 26: goto c109;
    case 27: goto c111;
    case 28: goto c113;
    case 29: goto cb121;
    case 30: goto c122;
    case 31: goto c124;
    case 32: goto c131;
    case 33: goto c140;
    case 34: goto cb173;
    case 35: goto c175;
    case 36: goto cb175;
    case 37: goto c176;
    case 38: goto c178;
    case 39: goto c185;
    case 40: goto c187;
    case 41: goto c195;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* boolean 4 , FALSE */
  REF(4).value.boolean = FALSE;
  REF(4).tsdr = & dr_boolean;
/* copy 5 3.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* ilt . 3.0.2 =(0) , 29 */
  if ( REF(3)DOT(0)DOT(2).value.integer < 0 ) goto c29;
/* ordenum_lit 6 , 95 */
  REF(6).value.ord_enum = 95;
  REF(6).tsdr = & dr_ord_enumeration;
/* insert 5 6 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 7 , 1 */
  if ((ch_returncode = che_new_table(DEF(7),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 8 3.1.4 , 0,0 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(8),DEF(3)DOT(1)DOT(4),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
c12:
/* get_or_goto 8 3.1.4 , 20 */
  if ((ch_returncode = get_selected_object(DEF(8),DEF(3)DOT(1)DOT(4)
    ,sched)) != Normal) goto c20;
/* position 9 8 */
  ch_frame = get_selector_frame(DEF(8),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(9).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(9).tsdr = &dr_integer;
/* size 10 5 */
  REF(10).value.integer = REF(5).value.table->size;
  REF(10).tsdr = & dr_integer;
/* ige . 9 10 , 12 */
  if ( REF(9).value.integer >= REF(10).value.integer ) goto c12;
/* copy 11 8 */
  if((ch_returncode = (REF(8).tsdr->copy)(& ch_val, REF(8).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = datarepmap[REF(8).tsdr->number];
/* insert 7 11 */
  if ((ch_returncode = insertfunc(DEF(7),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 12 */
   goto c12;
c20:
/* endget 8 3.1.4 */
  end_selector(DEF(8),DEF(3)DOT(1)DOT(4),sched,GET);
/* equal 12 5 7 */
  REF(12).value.boolean = (eq_table(REF(5).value,REF(7).value));
  REF(12).tsdr = & dr_boolean;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* branch_false 12 , 26 */
  if ( !REF(12).value.boolean ) goto c26;
/* copy 5 3.1.4 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* branch , 31 */
   goto c31;
c26:
/* copy 13 3.1.4 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = & dr_table;
/* merge 5 13 */
  if ((ch_returncode = mergefunc(DEF(5),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 31 */
   goto c31;
c29:
/* ilit 3.0.2 , 0 */
  REF(3)DOT(0)DOT(2).value.integer = 0;
  REF(3)DOT(0)DOT(2).tsdr = & dr_integer;
c31:
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* copy 14 5 */
  if((ch_returncode = cp_table(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = & dr_table;
/* insert 3.0.1 14 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(0)DOT(1),DEF(14)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 45 */
   goto c45;
c36:
/* ordenum_lit 15 , 95 */
  REF(15).value.ord_enum = 95;
  REF(15).tsdr = & dr_ord_enumeration;
/* insert 5 15 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 7;
cb38:
/* call 3.0.12 3.0.2 16 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(3)DOT(0)DOT(2),
          arguments[2] = DEF(16),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c39:
/* merge 5 16 */
  if ((ch_returncode = mergefunc(DEF(5),DEF(16),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 17 5 */
  if((ch_returncode = cp_table(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_table;
/* insert 3.0.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(0)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* iadd 3.0.2 3.0.2 =(1) */
  if (!chf_iadd(DEF(3)DOT(0)DOT(2),REF(3)DOT(0)DOT(2).value.integer,1))
     goto ch_depletion;
c45:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* copy 18 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val;
  REF(18).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* copy 18.4 5 */
  if((ch_returncode = cp_table(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(18)DOT(4).tsdr)->finalize)(REF(18)DOT(4).value,F_DISCARD,sched);
  REF(18)DOT(4).value = ch_val;
  REF(18)DOT(4).tsdr = & dr_table;
/* unique 18.0 */
  if ((ch_returncode = che_unique(DEF(18)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* and 19 3.0.9.0 3.0.9.12 */
  REF(19).value.boolean = REF(3)DOT(0)DOT(9)DOT(0).value.boolean&
    REF(3)DOT(0)DOT(9)DOT(12).value.boolean;
  REF(19).tsdr = & dr_boolean;
/* branch_false 19 , 111 */
  if ( !REF(19).value.boolean ) goto c111;
/* chs_lit 20 , "transform[" */
  if( !chs_lit(DEF(20),"transform[") ) goto ch_depletion;
/* concat 21 20 5 */
  if ((ch_returncode = che_concat(DEF(21),DEF(20),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* chs_lit 22 , "] " */
  if( !chs_lit(DEF(22),"] ") ) goto ch_depletion;
/* concat 23 21 22 */
  if ((ch_returncode = che_concat(DEF(23),DEF(21),DEF(22),sched)) != Normal)
     goto ch_raise_exception;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
  current->ip = 10;
cb59:
/* call 3.0.4 23 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(23),
          arguments[1+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c60:
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 24 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(24),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* create 25 24 , 7 */
  if ((ch_returncode = che_create(DEF(25),DEF(24),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
  current->ip = 12;
cb64:
/* call 25 3.0 18 26 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(18),
          arguments[3] = DEF(26),
          arguments[3+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c65:
/* endblock */
  che_endblock(sched);
/* branch , 95 */
   goto c95;
c67:
/* chs_lit 26 , "" */
  if( !chs_lit(DEF(26),"") ) goto ch_depletion;
/* branch_false 3.0.9.0 , 94 */
  if ( !REF(3)DOT(0)DOT(9)DOT(0).value.boolean ) goto c94;
/* chs_lit 27 , "(already transformed; no change) " */
  if( !chs_lit(DEF(27),"(already transformed; no change) ") )
     goto ch_depletion;
  current->ip = 15;
cb71:
/* call 3.0.4 27 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(27),
          arguments[1+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c72:
/* and 28 3.0.9.6 3.0.9.8 */
  REF(28).value.boolean = REF(3)DOT(0)DOT(9)DOT(6).value.boolean&
    REF(3)DOT(0)DOT(9)DOT(8).value.boolean;
  REF(28).tsdr = & dr_boolean;
/* size 29 18.6 */
  REF(29).value.integer = REF(18)DOT(6).value.table->size;
  REF(29).tsdr = & dr_integer;
/* equal 30 29 =(0) */
  REF(30).value.boolean = (REF(29).value.integer == 0);
  REF(30).tsdr = & dr_boolean;
/* and 31 28 30 */
  REF(31).value.boolean = REF(28).value.boolean&REF(30).value.boolean;
  REF(31).tsdr = & dr_boolean;
/* branch_false 31 , 93 */
  if ( !REF(31).value.boolean ) goto c93;
/* block , 9 */
  if((ch_returncode = che_block(QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* concat 32 3.0.9.9 5 */
  if ((ch_returncode = che_concat(DEF(32),DEF(3)DOT(0)DOT(9)DOT(9),DEF(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 33 , ".c" */
  if( !chs_lit(DEF(33),".c") ) goto ch_depletion;
/* concat 34 32 33 */
  if ((ch_returncode = che_concat(DEF(34),DEF(32),DEF(33),sched)) != Normal)
     goto ch_raise_exception;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
  current->ip = 17;
cb84:
/* call 3.0.6 34 35 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(34),
          arguments[2] = DEF(35),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c85:
/* move 18.6 35 */
  (*(REF(18)DOT(6).tsdr)->finalize)(REF(18)DOT(6).value,F_DISCARD,sched);
  REF(18)DOT(6) = REF(35);
  REF(35).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 93 */
   goto c93;
c88:
/* not 36 3.0.9.1 */
  REF(36).value.boolean = !REF(3)DOT(0)DOT(9)DOT(1).value.boolean;
  REF(36).tsdr = & dr_boolean;
/* branch_false 36 , 92 */
  if ( !REF(36).value.boolean ) goto c92;
/* chs_lit 37 , "(C source not available for keeping) " */
  if( !chs_lit(DEF(37),"(C source not available for keeping) ") )
     goto ch_depletion;
  current->ip = 20;
cb91:
/* call 3.0.4 37 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(37),
          arguments[1+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c92:
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
c93:
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
c94:
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
c95:
/* branch_false 3.0.9.6 , 98 */
  if ( !REF(3)DOT(0)DOT(9)DOT(6).value.boolean ) goto c98;
/* copy 18.6 26 */
  if((ch_returncode = cp_table(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(18)DOT(6).tsdr)->finalize)(REF(18)DOT(6).value,F_DISCARD,sched);
  REF(18)DOT(6).value = ch_val;
  REF(18)DOT(6).tsdr = & dr_table;
/* branch , 100 */
   goto c100;
c98:
/* chs_lit 18.6 , "" */
  if( !chs_lit(DEF(18)DOT(6),"") ) goto ch_depletion;
c100:
/* or 38 3.0.9.8 3.0.9.10 */
  REF(38).value.boolean = REF(3)DOT(0)DOT(9)DOT(8).value.boolean|
    REF(3)DOT(0)DOT(9)DOT(10).value.boolean;
  REF(38).tsdr = & dr_boolean;
/* or 39 38 3.0.9.7 */
  REF(39).value.boolean = REF(38).value.boolean|
    REF(3)DOT(0)DOT(9)DOT(7).value.boolean;
  REF(39).tsdr = & dr_boolean;
/* branch_false 39 , 109 */
  if ( !REF(39).value.boolean ) goto c109;
/* concat 40 3.0.9.9 5 */
  if ((ch_returncode = che_concat(DEF(40),DEF(3)DOT(0)DOT(9)DOT(9),DEF(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 41 , ".c" */
  if( !chs_lit(DEF(41),".c") ) goto ch_depletion;
/* concat 42 40 41 */
  if ((ch_returncode = che_concat(DEF(42),DEF(40),DEF(41),sched)) != Normal)
     goto ch_raise_exception;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
  current->ip = 25;
cb108:
/* call 3.0.5 42 26 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(42),
          arguments[2] = DEF(26),
          arguments[2+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c109:
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* branch , 113 */
   goto c113;
c111:
/* chs_lit 26 , "" */
  if( !chs_lit(DEF(26),"") ) goto ch_depletion;
c113:
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* or 43 3.0.9.10 3.0.9.7 */
  REF(43).value.boolean = REF(3)DOT(0)DOT(9)DOT(10).value.boolean|
    REF(3)DOT(0)DOT(9)DOT(7).value.boolean;
  REF(43).tsdr = & dr_boolean;
/* branch_false 43 , 140 */
  if ( !REF(43).value.boolean ) goto c140;
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 44 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(44),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* create 45 44 , 14 */
  if ((ch_returncode = che_create(DEF(45),DEF(44),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
  current->ip = 29;
cb121:
/* call 45 3.0 5 46 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(45),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(5),
          arguments[3] = DEF(46),
          arguments[3+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c122:
/* endblock */
  che_endblock(sched);
/* branch , 131 */
   goto c131;
c124:
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* copy 18 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val;
  REF(18).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* boolean 4 , TRUE */
  REF(4).value.boolean = TRUE;
  REF(4).tsdr = & dr_boolean;
/* chs_lit 46 , "" */
  if( !chs_lit(DEF(46),"") ) goto ch_depletion;
c131:
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* chs_lit 18.7 , "" */
  if( !chs_lit(DEF(18)DOT(7),"") ) goto ch_depletion;
/* not 47 4 */
  REF(47).value.boolean = !REF(4).value.boolean;
  REF(47).tsdr = & dr_boolean;
/* branch_false 47 , 139 */
  if ( !REF(47).value.boolean ) goto c139;
/* branch_false 3.0.9.7 , 138 */
  if ( !REF(3)DOT(0)DOT(9)DOT(7).value.boolean ) goto c138;
/* move 18.7 46 */
  (*(REF(18)DOT(7).tsdr)->finalize)(REF(18)DOT(7).value,F_DISCARD,sched);
  REF(18)DOT(7) = REF(46);
  REF(46).tsdr = & dr_bottom;
c138:
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
c139:
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
c140:
/* not 48 4 */
  REF(48).value.boolean = !REF(4).value.boolean;
  REF(48).tsdr = & dr_boolean;
/* branch_false 48 , 158 */
  if ( !REF(48).value.boolean ) goto c158;
/* branch_false 3.0.9.10 , 156 */
  if ( !REF(3)DOT(0)DOT(9)DOT(10).value.boolean ) goto c156;
/* branch_false 3.0.9.5 , 151 */
  if ( !REF(3)DOT(0)DOT(9)DOT(5).value.boolean ) goto c151;
/* concat 49 3.0.9.11 5 */
  if ((ch_returncode = che_concat(DEF(49),DEF(3)DOT(0)DOT(9)DOT(11),DEF(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 50 , ".o" */
  if( !chs_lit(DEF(50),".o") ) goto ch_depletion;
/* concat 51 49 50 */
  if ((ch_returncode = che_concat(DEF(51),DEF(49),DEF(50),sched)) != Normal)
     goto ch_raise_exception;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* move 18.5 51 */
  (*(REF(18)DOT(5).tsdr)->finalize)(REF(18)DOT(5).value,F_DISCARD,sched);
  REF(18)DOT(5) = REF(51);
  REF(51).tsdr = & dr_bottom;
/* branch , 158 */
   goto c158;
c151:
/* chs_lit 52 , ".o" */
  if( !chs_lit(DEF(52),".o") ) goto ch_depletion;
/* concat 53 5 52 */
  if ((ch_returncode = che_concat(DEF(53),DEF(5),DEF(52),sched)) != Normal)
     goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* move 18.5 53 */
  (*(REF(18)DOT(5).tsdr)->finalize)(REF(18)DOT(5).value,F_DISCARD,sched);
  REF(18)DOT(5) = REF(53);
  REF(53).tsdr = & dr_bottom;
/* branch , 158 */
   goto c158;
c156:
/* chs_lit 18.5 , "" */
  if( !chs_lit(DEF(18)DOT(5),"") ) goto ch_depletion;
c158:
/* not 54 3.0.9.8 */
  REF(54).value.boolean = !REF(3)DOT(0)DOT(9)DOT(8).value.boolean;
  REF(54).tsdr = & dr_boolean;
/* or 55 3.0.9.7 3.0.9.10 */
  REF(55).value.boolean = REF(3)DOT(0)DOT(9)DOT(7).value.boolean|
    REF(3)DOT(0)DOT(9)DOT(10).value.boolean;
  REF(55).tsdr = & dr_boolean;
/* and 56 54 55 */
  REF(56).value.boolean = REF(54).value.boolean&REF(55).value.boolean;
  REF(56).tsdr = & dr_boolean;
/* branch_false 56 , 187 */
  if ( !REF(56).value.boolean ) goto c187;
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 57 , "rm  -f " */
  if( !chs_lit(DEF(57),"rm  -f ") ) goto ch_depletion;
/* concat 58 57 3.0.9.9 */
  if ((ch_returncode = che_concat(DEF(58),DEF(57),DEF(3)DOT(0)DOT(9)DOT(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* concat 59 58 5 */
  if ((ch_returncode = che_concat(DEF(59),DEF(58),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* chs_lit 60 , ".c" */
  if( !chs_lit(DEF(60),".c") ) goto ch_depletion;
/* concat 61 59 60 */
  if ((ch_returncode = che_concat(DEF(61),DEF(59),DEF(60),sched)) != Normal)
     goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* enum_lit 62 , 0 */
  REF(62).value.enumeration = 0;
  REF(62).tsdr = & dr_enumeration;
  current->ip = 34;
cb173:
/* call 3.0.8 61 62 63 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(8),
          arguments[1] = DEF(61),
          arguments[2] = DEF(62),
          arguments[3] = DEF(63),
          arguments[3+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c174:
c175:
  current->ip = 36;
cb175:
/* call 63.11 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63)DOT(11),
          arguments[0+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c176:
/* endblock */
  che_endblock(sched);
/* branch , 185 */
   goto c185;
c178:
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
c185:
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
c187:
/* not 64 4 */
  REF(64).value.boolean = !REF(4).value.boolean;
  REF(64).tsdr = & dr_boolean;
/* branch_false 64 , 191 */
  if ( !REF(64).value.boolean ) goto c191;
/* ilit 18.8 , 0 */
  REF(18)DOT(8).value.integer = 0;
  REF(18)DOT(8).tsdr = & dr_integer;
c191:
/* move 3.2 18 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c195:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
